summaryrefslogtreecommitdiff
path: root/.config/login.d/01_xdg.sh
diff options
context:
space:
mode:
authorLuke Shumaker <shumakl@purdue.edu>2015-02-16 11:37:46 -0500
committerLuke Shumaker <shumakl@purdue.edu>2015-02-16 11:37:46 -0500
commit7a2dd3a7e3f465141c90abedcb814f9ee9712edd (patch)
tree78a4911e665d84fc44d365573d24c593c705813e /.config/login.d/01_xdg.sh
parentc8f419eab92045a069c8f444c77c8ff81aa36fa2 (diff)
parentca3e04971996ebe2eebf88775e96bbf547aa0abe (diff)
Merge remote-tracking branch 'origin/master' into purdue-cs/master
Conflicts: .config/login.d/02_tmpdir.sh .config/login.d/90_dot-runtime.sh
Diffstat (limited to '.config/login.d/01_xdg.sh')
-rw-r--r--.config/login.d/01_xdg.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/.config/login.d/01_xdg.sh b/.config/login.d/01_xdg.sh
index 726143b..4464764 100644
--- a/.config/login.d/01_xdg.sh
+++ b/.config/login.d/01_xdg.sh
@@ -28,9 +28,10 @@ if [ -z "$XDG_RUNTIME_DIR" ] && type flock &>/dev/null; then
fi
if ! [ /dev/fd/7 -ef "$XDG_CACHE_HOME/xdg-runtime-dir/.lock" ]; then
exec 7>"$XDG_CACHE_HOME/xdg-runtime-dir/.lock"
- fi
- if flock -sn 7; then
- trap _diy_xdg_runtime_logout EXIT
+ if flock -sn 7; then
+ # Unfortunately this doesn't survive across exec(1).
+ trap _diy_xdg_runtime_logout EXIT
+ fi
fi
}
_diy_xdg_runtime_logout() {